<!--
To use this Resin configuration, you need to start Java with the VM param:
-Dbase=c:\path\to\xwiki

You can use IDEA's Resin plugin and provide this VM param as well
as the path to this configuration file.
-->
<resin xmlns="http://caucho.com/ns/resin" xmlns:resin="http://caucho.com/ns/resin/core">
    <javac compiler="internal" args="-g"/>

	<system-property javax.xml.transform.TransformerFactory="org.apache.xalan.processor.TransformerFactoryImpl"/>
	<system-property javax.xml.parsers.DocumentBuilderFactory="org.apache.xerces.jaxp.DocumentBuilderFactoryImpl"/>
	<system-property javax.xml.parsers.SAXParserFactory="org.apache.xerces.jaxp.SAXParserFactoryImpl"/>

    <log name="" path="resin.log" timestamp="[%Y-%m-%d %H:%M:%S.%s]"/>
    <log name="com.caucho.java" level="config" path="stdout:" timestamp="[%H:%M:%S.%s] "/>
    <log name="com.caucho.loader" level="config" path="stdout:" timestamp="[%H:%M:%S.%s] "/>

    <server>
        <http port="8080"/>
        <resin:import path="conf/app-default.xml"/>
        <host id="" dependency-check-interval="-1">

            <class-loader>
                <compiling-loader path="${base}/build/web/WEB-INF/classes"/>
                <library-loader path="${base}/lib"/>
            </class-loader>

            <web-app id="/xwiki"
                document-directory="${base}/src/main/web"
                work-dir="${base}/build/work"
                temp-dir="${base}/build/temp"
                >
                <jsp dependency-check-interval="2s"/>
            </web-app>
        </host>
    </server>
</resin>